<button mat-button>Mat Button</button>
<button mat-raised-button>Raised Button</button>

<h1>Typography Examples</h1>
<div class="mat-display-1">This is a display 1</div>
<div class="mat-display-2">This is a display 2</div>
<div class="mat-display-3">This is a display 3</div>
<div class="mat-display-4">This is a display 4</div>


<h1>Body and Text Caption</h1>
<div class="mat-headline">This is a headline</div>
<div class="mat-title">This is a title</div>
<div class="mat-subheading-1">This is a subheading</div>
<div class="mat-caption">This is a caption</div>

<h1>Color Themed Buttons</h1>
<div>
  <button color="primary" mat-button>This is a primary colored button</button>
  <button color="accent" mat-button>This is a accent colored button</button>
  <button color="warn" mat-button>This is a warn colored button</button>
</div>

<div>
  <button color="primary" mat-flat-button>This is a primary colored button</button>
  <button color="accent" mat-raised-button>This is a accent colored button</button>
  <button color="warn" mat-button>This is a warn colored button</button>
</div>

<mat-form-field floatLabel="auto" color="accent">
  <mat-label>Name</mat-label>
  <input matInput>
  <mat-hint>A minimum of five characters</mat-hint>
</mat-form-field>

<mat-card>Simple card</mat-card>



<!--<p>-->
<!--  <mat-button-toggle-group name="fontStyle" aria-label="Font Style">-->
<!--    <mat-button-toggle value="bold">Bold</mat-button-toggle>-->
<!--    <mat-button-toggle value="italic">Italic</mat-button-toggle>-->
<!--    <mat-button-toggle value="underline">Underline</mat-button-toggle>-->
<!--  </mat-button-toggle-group>-->
<!--</p>-->
